V8Js::getPendingException
V8JsException
V8Js
PHP Manual

# V8Js::registerExtension

Register Javascript extensions for V8Js

### Description

public static bool V8Js::registerExtension ( string `$extension_name` , string `$script` [, array `$dependencies` = array() [, bool `$auto_enable` = `FALSE` ]] )

Registers passed Javascript `script` as extension to be used in V8Js contexts.

### Parameters

`extension_name`

  Name of the extension to be registered.

`script`

  The Javascript code to be registered.

`dependencies`

  Array of extension names the extension to be registered depends on. Any such extension is enabled automatically when this extension is loaded.

  > Note:

  > All extensions, including the dependencies, must be registered before any V8Js are created which use them.

`auto_enable`

  If set to `TRUE`, the extension will be enabled automatically in all V8Js contexts.

### Return Values

Returns `TRUE` if extension was registered successfully, `FALSE` otherwise.